Mailinglist Archive: opensuse-ruby (83 mails)

< Previous Next >
Re: [opensuse-ruby] Revised gem packaging
Am 05.11.2012 19:45, schrieb Adam Spiers:
Stephan Kulow (coolo@xxxxxxx) wrote:
On 05.11.2012 14:31, Adam Spiers wrote:
It's not enough for this wiki page to document the current (latest)
versioning schemes - the old versioning schemes existing in several
repositories, and will continue to cause confusion for people like me
unless we document a summary of the history behind the changes. I
don't want other people to have to waste as much time on this as I
have.

Hmm, isn't having the history next to the state confusing too?

Not if it's written clearly ;-)

Also, if the policy is to rename gem_1_0 packages each time they're
updated, then the history behind this is directly relevant to the
status quo.

Hmm, they are not renamed. You have rubygem-foo and you updated it
from 1.0 to 2.0. And if you find that something still requires 1.0.*,
you create a rubygem-foo-1_0 from the last rubygem-foo sources.

If you find something requires 1.0.5, you create a rubygem-foo-1_0_5
and leave out the 1_0

Greetings, Stephan

--
To unsubscribe, e-mail: opensuse-ruby+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-ruby+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation
Follow Ups